/* ghostbyn.c (rsxnt) -- Copyright (c) 1996-1997 Rainer Schnitker */

#include <rsxnt.h>
#include <rsxntso.h>

int __gethostbyname (__const__ char *name, struct hostent **dst)
{
    if (!_rsxnt_socket_inited)
      return _rsxnt_errno(ENETDOWN);

    if ((*dst = (*wsa_gethostbyname) (name)) != NULL)
        return 0;
    else
        return _rsxnt_socket_errno();
}
